package com.siwei.common.core.web.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Entity基类
 *
 * @author siwei-zhx
 */
public class BaseSridEntity extends BaseEntity {

    /**
     * 入库的坐标系
     */
    private Integer shpDbSRID;

    /**
     * 面积计算坐标系
     */
    private Integer shpAreaSRID;
    /**
     * 面积计算是否启用geography true启用 false不启用
     */
    private Boolean shpAreaGeography;
    /**
     * 输出坐标系
     */
    private Integer shpOutSRID;

    public Integer getShpDbSRID() {
        return shpDbSRID;
    }

    public void setShpDbSRID(Integer shpDbSRID) {
        this.shpDbSRID = shpDbSRID;
    }

    public Integer getShpAreaSRID() {
        return shpAreaSRID;
    }

    public void setShpAreaSRID(Integer shpAreaSRID) {
        this.shpAreaSRID = shpAreaSRID;
    }

    public Integer getShpOutSRID() {
        return shpOutSRID;
    }

    public void setShpOutSRID(Integer shpOutSRID) {
        this.shpOutSRID = shpOutSRID;
    }

    public Boolean getShpAreaGeography() {
        return shpAreaGeography;
    }

    public void setShpAreaGeography(Boolean shpAreaGeography) {
        this.shpAreaGeography = shpAreaGeography;
    }
}
